Commit 7cc0f47f authored by PiTrem's avatar PiTrem
Browse files

gem upg uglifier to >4 to allow full assets uglifying

parent 890d9f40
......@@ -10,7 +10,7 @@ gem 'haml-rails', '~> 0.9'
gem 'sass-rails', '~> 5.0', '>= 5.0.6'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
gem 'uglifier', '>= 4.0.0'
# Twitter bootstrap styles
gem 'bootstrap-sass', '~> 3.3.5'
# Use jquery as the JavaScript library
......
......@@ -247,7 +247,7 @@ GEM
equalizer (0.0.11)
erubis (2.7.0)
eventmachine (1.2.6)
execjs (2.6.0)
execjs (2.7.0)
factory_bot (4.10.0)
activesupport (>= 3.0.0)
factory_bot_rails (4.10.0)
......@@ -582,7 +582,7 @@ GEM
sprockets (~> 3.0)
tzinfo (1.2.5)
thread_safe (~> 0.1)
uglifier (3.0.0)
uglifier (4.1.19)
execjs (>= 0.3.0, < 3)
unicode-display_width (1.2.1)
unicode_utils (1.4.0)
......@@ -716,7 +716,7 @@ DEPENDENCIES
thor (= 0.19.1)
thumbnailer!
turbo-sprockets-rails4
uglifier (>= 1.3.0)
uglifier (>= 4.0.0)
web-console (~> 2.0)
webmock
whenever
......
......@@ -27,7 +27,7 @@ Rails.application.configure do
config.serve_static_files = true
# Compress JavaScripts and CSS.
# config.assets.js_compressor = :uglifier
config.assets.js_compressor = Uglifier.new(harmony: true)
# config.assets.css_compressor = :sass
# Do not fallback to assets pipeline if a precompiled asset is missed.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment